Bug 1084645 - GCC 8: ceph build fails
GCC 8: ceph build fails
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: Basesystem
Current
All openSUSE Factory
: P3 - Medium : Normal (vote)
: ---
Assigned To: Jesse Williamson
E-mail List
:
Depends on:
Blocks: 1084649
  Show dependency treegraph
 
Reported: 2018-03-09 10:05 UTC by Martin Liška
Modified: 2021-07-19 10:40 UTC (History)
7 users (show)

See Also:
Found By: Development
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Liška 2018-03-09 10:05:47 UTC
Build the package with GCC 8, there's error:

[12090s] /usr/include/c++/8/bits/stl_tree.h:457:21: error: static assertion failed: comparison object must be invocable as const

Please build the project as follows to reproduce the issue:
osc build --alternative-project=openSUSE:Factory:Staging:Gcc7
Comment 1 Martin Liška 2018-04-11 10:59:32 UTC
Steps to reproduce:

$ osc co openSUSE:Factory:Staging:Gcc7/ceph
$ osc build

Yes, it has 'Gcc7' in name, but it's gcc 8 staging project :)
Comment 2 Richard Biener 2018-05-04 10:40:02 UTC
And now openSUSE:Factory:Staging:C

Please make progress here.
Comment 3 Nathan Cutler 2018-05-05 06:19:50 UTC
> Please make progress here.

Progress is being made upstream - see https://github.com/ceph/ceph/pull/21744
Comment 4 Jesse Williamson 2018-05-09 18:48:05 UTC
More activity related to this:
https://github.com/ceph/ceph/pull/21837
https://github.com/ceph/ceph/pull/21898
Comment 5 Martin Liška 2018-05-17 08:18:36 UTC
(In reply to Jesse Williamson from comment #4)
> More activity related to this:
> https://github.com/ceph/ceph/pull/21837
> https://github.com/ceph/ceph/pull/21898

Can you please update what's the status of the pull requests? When it's expected to be finished?
Comment 6 Nathan Cutler 2018-05-18 13:38:09 UTC
Note: we need mimic PRs, not master PRs.

https://github.com/ceph/ceph/pull/21837 (master) was backported and merged to mimic by https://github.com/ceph/ceph/pull/21862

https://github.com/ceph/ceph/pull/21845 and https://github.com/ceph/ceph/pull/21898 (both targeting master) had not been backported yet, so I opened https://github.com/ceph/ceph/pull/22081

Once https://github.com/ceph/ceph/pull/22081 is merged we could try a build.
Comment 7 Martin Liška 2018-05-23 12:29:19 UTC
(In reply to Nathan Cutler from comment #6)
> Note: we need mimic PRs, not master PRs.
> 
> https://github.com/ceph/ceph/pull/21837 (master) was backported and merged
> to mimic by https://github.com/ceph/ceph/pull/21862
> 
> https://github.com/ceph/ceph/pull/21845 and
> https://github.com/ceph/ceph/pull/21898 (both targeting master) had not been
> backported yet, so I opened https://github.com/ceph/ceph/pull/22081
> 
> Once https://github.com/ceph/ceph/pull/22081 is merged we could try a build.

I see. If I'm correct that should be in trunk. Can you please submit the package to Factory. It's one of last blockers now..
Comment 8 Nathan Cutler 2018-05-31 16:54:30 UTC
Latest upstream mimic submitted to Factory

https://build.opensuse.org/request/show/613330

(Note that I would strongly prefer to *not* update the package to 14.0.0 at this point. Let's track mimic until doing that becomes untenable. Upstream has a tendency to break master builds for non-x86 platforms, and if anyone were to actually try to run ceph (based on upstream master) in Tumbleweed the result would be anyone's guess, since master gets only superficial testing.)
Comment 9 Martin Liška 2018-06-01 07:17:42 UTC
(In reply to Nathan Cutler from comment #8)
> Latest upstream mimic submitted to Factory
> 
> https://build.opensuse.org/request/show/613330

Thanks for that.

> 
> (Note that I would strongly prefer to *not* update the package to 14.0.0 at
> this point. Let's track mimic until doing that becomes untenable. Upstream
> has a tendency to break master builds for non-x86 platforms, and if anyone
> were to actually try to run ceph (based on upstream master) in Tumbleweed
> the result would be anyone's guess, since master gets only superficial
> testing.)

I see, but it has been blocking GCC release for quite some time. We really need it in Factory ;)
Comment 10 Tim Serong 2018-06-01 08:13:57 UTC
(In reply to Martin Liška from comment #9)
> I see, but it has been blocking GCC release for quite some time. We really
> need it in Factory ;)

Don't worry, the 13.1.1 update (SR 613330) includes the GCC fix -- we don't need to go all the way to 14.0.0 (doing so *now* would cause some other difficulties for package maintenance, as that version is still very much in early development)
Comment 11 Nathan Cutler 2018-06-01 19:44:32 UTC
Thanks, Tim. Now watching

https://build.opensuse.org/project/show/openSUSE:Factory:Staging:C

to verify that the fix works as expected.
Comment 12 Nathan Cutler 2018-06-02 07:02:03 UTC
The GCC8 build succeeded in the staging project.
Comment 14 Swamp Workflow Management 2019-01-22 13:00:09 UTC
This is an autogenerated message for OBS integration:
This bug (1084645) was mentioned in
https://build.opensuse.org/request/show/667784 15.0 / ceph
Comment 17 Swamp Workflow Management 2019-03-11 13:20:06 UTC
This is an autogenerated message for OBS integration:
This bug (1084645) was mentioned in
https://build.opensuse.org/request/show/683881 15.0 / ceph
Comment 19 Swamp Workflow Management 2019-03-12 20:14:51 UTC
SUSE-SU-2019:0586-1: An update that solves 5 vulnerabilities and has two fixes is now available.

Category: security (moderate)
Bug References: 1084645,1086613,1096748,1099162,1101262,1111177,1114567
CVE References: CVE-2018-10861,CVE-2018-1128,CVE-2018-1129,CVE-2018-14662,CVE-2018-16846
Sources used:
SUSE Linux Enterprise Module for Open Buildservice Development Tools 15 (src):    ceph-13.2.4.125+gad802694f5-3.7.2
SUSE Linux Enterprise Module for Basesystem 15 (src):    ceph-13.2.4.125+gad802694f5-3.7.2
Comment 20 Swamp Workflow Management 2019-04-27 22:32:30 UTC
openSUSE-SU-2019:1284-1: An update that solves 5 vulnerabilities and has three fixes is now available.

Category: security (moderate)
Bug References: 1084645,1086613,1096748,1099162,1101262,1111177,1114567,1114710
CVE References: CVE-2018-10861,CVE-2018-1128,CVE-2018-1129,CVE-2018-14662,CVE-2018-16846
Sources used:
openSUSE Leap 15.0 (src):    ceph-13.2.4.125+gad802694f5-lp150.2.3.1, ceph-test-13.2.4.125+gad802694f5-lp150.2.3.1